
#include "stdlib.h"

#include "headers.h"


#define BUFFER_SIZE 1024

class request{

	char * connection   = malloc( BUFFER_SIZE );

	char * address		= malloc( BUFFER_SIZE );

	int port;

	char * url			= malloc( BUFFER_SIZE );

	char * method		= malloc( BUFFER_SIZE );

	char * version		= malloc( BUFFER_SIZE );

	char * mimeType		= malloc( BUFFER_SIZE );

	char * extension	= malloc( BUFFER_SIZE );

	struct headerManager * headers	= new headerManager();

	void constructor() {


	}

	free() {

		
/*
		free( this->connection );

		free( this->address );

		free( this->port );

		free( this->url );

		free( this->method );

		free( this->version );

		free( this->mimeType );

		free( this->headers );

		*/

		free( this );


	}

}